Skip to main content
POST
/
v1
/
seller
/
channel
/
{Channel}
Create Seller
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/channel/{Channel} \
  --header 'Authorization: Bearer <token>' \
  --header 'User-Agent: <user-agent>'
{
  "signUpUrl": "https://signup.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104",
  "expiresAt": 1557149104
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Headers

User-Agent
string
required

Wawi Useragent containing the Wawi version information. Must meet the channel's minWawiVersionRequired if specified.

Example:

"Wawi/1.11.0.3"

Path Parameters

Channel
string
required

Channel identifier the seller wants to sign up for (e.g. MBDCOM). This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

Response

Start a Seller Signup Process

Result of starting a seller signup session — contains the redirect URL the seller has to visit and the session expiry.

signUpUrl
string

Signup Url

Example:

"https://signup.mybestdeals.com/?sid=c6b28bd5-e0b4-4857-9d9c-e8a9ac40241b&expires=1557149104"

expiresAt
integer<int64>
Example:

1557149104